/* ========================================
 *
 * Copyright YOUR COMPANY, THE YEAR
 * All Rights Reserved
 * UNPUBLISHED, LICENSED SOFTWARE.
 *
 * CONFIDENTIAL AND PROPRIETARY INFORMATION
 * WHICH IS THE PROPERTY OF your company.
 *
 * ========================================
*/

#include "project.h"
#include <stdio.h>


volatile uint32 ADCzastavica    = 0u;
volatile uint8  PodatekPripravljen     = 0u;

CY_ISR_PROTO(ADC_ISR_Handler);

int main(void)
{
    CyGlobalIntEnable; /* Enable global interrupts. */
   
    PWM_Program_WriteCompare(150);
    PWM_Program_Start();
    if(Tipka_Program_Read() == 0)
    {
           CySoftwareReset();
    }
     /* Tvoj program */
    //Start za kontrolo
    
    //start idac
    
    //start AMUX
    
    //Startaj OPAMP
    
    //zazeni ADC
    
    //omogočimo delovanje komunikacije	
   
    
    for(;;)
    {
        
        /* Place your application code here. */
        if(Tipka_Program_Read() == 0)
        {
           CySoftwareReset();
        }
           
    }
}

/* prekinitev___________________________________________________________________________________________________*/
CY_ISR(ADC_ISR_Handler)
//void ADC()
{
    uint32 preki_status;

    /* precita prekinitveni register */
    preki_status = ADC_SAR_INTR_MASKED_REG;
    /* prekontrolira prekinitveni register */
    if((preki_status & ADC_EOS_MASK) != 0u)
    {
        /* vpiše prekinitev v ADCzastavica */
        ADCzastavica = ADC_SAR_RANGE_INTR_MASKED_REG;
        /* pocisti status prekinitve*/
        ADC_SAR_RANGE_INTR_REG = ADCzastavica;
        PodatekPripravljen = 1u;
    }
    /* počisti prekinitev */
    ADC_SAR_INTR_REG = preki_status;
}

/* [] END OF FILE */
